Skip to main content
GET
/
webhooks
/
{webhookId}
TypeScript
const response: Promise<FireblocksResponse<Webhook>> = fireblocks.webhooksV2.getWebhook(webhooksV2ApiGetWebhookRequest);
CompletableFuture<ApiResponse<Webhook>> response = fireblocks.webhooksV2().getWebhook(webhookId);
response = fireblocks.webhooks_v2.get_webhook(webhook_id);
curl --request GET \
--url https://api.fireblocks.io/v1/webhooks/{webhookId}
const options = {method: 'GET'};

fetch('https://api.fireblocks.io/v1/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "url": "https://example.com/webhook",
  "events": [
    "transaction.created",
    "transaction.status.updated"
  ],
  "status": "ENABLED",
  "createdAt": 1625126400000,
  "updatedAt": 1625126400000,
  "description": "This webhook is used for transactions notifications",
  "mtls": {
    "clientSignedCert": "-----BEGIN CERTIFICATE-----\n...\n-----END CERTIFICATE-----"
  }
}
{
"message": "<string>",
"code": 123
}

Path Parameters

webhookId
string<uuid>
required

The unique identifier of the webhook

Example:

"44fcead0-7053-4831-a53a-df7fb90d440f"

Response

A webhook object

id
string<uuid>
required

The id of the webhook

Example:

"123e4567-e89b-12d3-a456-426614174000"

url
string
required

The url of the webhook where notifications will be sent. Must be a valid URL and https.

Minimum string length: 1
Example:

"https://example.com/webhook"

events
enum<string>[]
required

The events that the webhook will be subscribed to

Available options:
transaction.created,
transaction.status.updated,
transaction.approval_status.updated,
transaction.network_records.processing_completed,
external_wallet.asset.added,
external_wallet.asset.removed,
internal_wallet.asset.added,
internal_wallet.asset.removed,
contract_wallet.asset.added,
contract_wallet.asset.removed,
vault_account.created,
vault_account.asset.added,
vault_account.asset.balance_updated,
vault_account.nft.balance_updated,
embedded_wallet.status.updated,
embedded_wallet.created,
embedded_wallet.asset.balance_updated,
embedded_wallet.asset.added,
embedded_wallet.account.created,
embedded_wallet.device.added,
onchain_data.updated,
connection.added,
connection.removed,
connection.request.waiting_peer_approval,
connection.request.rejected_by_peer,
exchange_account.connected,
fiat_account.connected,
connected_account.connected,
ticket.created,
ticket.submitted,
ticket.expired,
ticket.canceled,
ticket.fulfilled,
ticket.counterparty.added,
ticket.counterparty_external_id.set,
ticket.note.added,
ticket.expires_at.set,
ticket.expires_in.set,
ticket.term.added,
ticket.term.updated,
ticket.term.deleted,
ticket.term.funded,
ticket.term.manually_funded,
ticket.term.funding_canceled,
ticket.term.funding_failed,
ticket.term.funding_completed,
ticket.term.transaction_status_changed,
settlement.created,
order.updated,
automation_execution.update
Example:
[
"transaction.created",
"transaction.status.updated"
]
status
enum<string>
required

The status of the webhook

Available options:
DISABLED,
ENABLED,
SUSPENDED
Example:

"ENABLED"

createdAt
integer<int64>
required

The date and time the webhook was created in milliseconds

Example:

1625126400000

updatedAt
integer<int64>
required

The date and time the webhook was last updated in milliseconds

Example:

1625126400000

description
string

description of the webhook of what it is used for

Minimum string length: 1
Example:

"This webhook is used for transactions notifications"

mtls
object | null

mTLS configuration for the webhook. On responses, present only when a signed client certificate is set. On requests, provide a signed client certificate to enable mTLS, or null to remove it.